Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:2386-1: important: Security update for grub2
SUSE Security Update: Security update for grub2
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:2386-1
Rating: important
References: #884828 #884830 #946148 #952539 #954592 #956631

Cross-References: CVE-2015-8370
Affected Products:
SUSE Linux Enterprise Server for VMWare 11-SP3
SUSE Linux Enterprise Server 11-SP3
SUSE Linux Enterprise Desktop 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that solves one vulnerability and has 5 fixes is
now available.

Description:

This update for grub2 provides the following fixes:

A security issues with a bufferoverflow when reading username and password
was fixed (bsc#956631, CVE-2015-8370)

Bugs fixed:
- Expand list of grub.cfg search path in PV Xen guests for systems
installed on btrfs snapshots. (bsc#946148, bsc#952539)
- Add grub.xen config searching path on boot partition. (bsc#884828)
- Add linux16 and initrd16 to grub.xen. (bsc#884830)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server for VMWare 11-SP3:

zypper in -t patch slessp3-grub2-12287=1

- SUSE Linux Enterprise Server 11-SP3:

zypper in -t patch slessp3-grub2-12287=1

- SUSE Linux Enterprise Desktop 11-SP3:

zypper in -t patch sledsp3-grub2-12287=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-grub2-12287=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server for VMWare 11-SP3 (x86_64):

grub2-x86_64-efi-2.00-0.49.2
grub2-x86_64-xen-2.00-0.49.2

- SUSE Linux Enterprise Server 11-SP3 (x86_64):

grub2-x86_64-efi-2.00-0.49.2
grub2-x86_64-xen-2.00-0.49.2

- SUSE Linux Enterprise Desktop 11-SP3 (x86_64):

grub2-x86_64-efi-2.00-0.49.2
grub2-x86_64-xen-2.00-0.49.2

- SUSE Linux Enterprise Debuginfo 11-SP3 (x86_64):

grub2-debuginfo-2.00-0.49.2
grub2-debugsource-2.00-0.49.2


References:

https://www.suse.com/security/cve/CVE-2015-8370.html
https://bugzilla.suse.com/884828
https://bugzilla.suse.com/884830
https://bugzilla.suse.com/946148
https://bugzilla.suse.com/952539
https://bugzilla.suse.com/954592
https://bugzilla.suse.com/956631

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages